# coding=utf-8

from django.conf.urls import url, include
from rest_framework.routers import SimpleRouter

from .views import *

urlpatterns = [
    url(r'^code2Session/$', WxLoginView.as_view()),
    url(r'^wxbind/$', WxBindView.as_view()),
    url(r'^setUserInfo/$', SetUserInfoView.as_view()),
    url(r'^token/refresh/$', CustomerRefreshTokenView),
    url(r'^token/verify/$', CustomerVerifyTokenView),

    url(r'^commodity/', include('apps.customer.commodity.urls'))
]

router = SimpleRouter()
router.register(r'', CustomerViewSet)
urlpatterns += router.urls
